/* Sample library file to show that a lib can be i18n-d
   Copyright (C) 2004 Thomas Vander Stichele <thomas@apestaart.org>

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU Library General Public License as published
   by the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

#include <config.h>
#include "gettext.h"     /* standard gettext.h copied from installed version */
#include "i18n-lib.h"    /* contains the shortcuts _ and N_ for the lib */

#include "library.h"

static char library_static_string[] = N_("I am a static library string.");

void library_init (void)
{
  printf ("DEBUG: setting up i18n: package %s\nlocaledir %s\n",
          GETTEXT_PACKAGE, LOCALEDIR);
  setlocale (LC_ALL, "");
  bindtextdomain (GETTEXT_PACKAGE, LOCALEDIR);
  textdomain (GETTEXT_PACKAGE);
}

void library_print_message (void)
{
  printf (_("I am a string in a library function.\n"));
  printf ("library static string: %s\n", _(library_static_string));
}
