#include <config.h>
/* the gettext manual recommends including gettext.h over libintl.h, so
 * that configuring with --disable-nls automatically turns off i18n */
/* You could put the include for gettext.h inside i18n.h instead */
#include "gettext.h"
#include "i18n.h"

#include "library.h"

/* we need LC_ALL.  This used to work fine without it.  The lib doesn't need
  it either.  Why * */
#include <locale.h>

static char message[] = N_("I am a static char.");

int
main (int argc, char *argv[])
{
  printf ("DEBUG: setting up i18n: package %s\nlocaledir %s\n",
          GETTEXT_PACKAGE, LOCALEDIR);
  setlocale (LC_ALL, "");
  bindtextdomain (GETTEXT_PACKAGE, LOCALEDIR);
  textdomain (GETTEXT_PACKAGE);
  printf ("\nApplication strings:\n\n");

  printf (_("I want to be translated.\n"));
  printf ("static char: %s\n", _(message));
  printf ("\n");

  library_init ();

  printf ("\nLibrary strings:\n\n");
  library_print_message ();

  return 0;
}
